%{?nodejs_find_provides_and_requires}

%global packagename svgmin

# tests disabled because they haven't been tagged in upstream github
%global enable_tests 0

Name:		nodejs-svgmin
Version:	0.1.0
Release:	1%{?dist}
Summary:	Minify SVG files

License:	MIT
URL:		https://github.com/kevva/svgmin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
#Source1:	tests-%{version}.tar.bz2
#Source10:	dl-tests.sh
# Get the license and readme files from upstream repo
Source11:	https://raw.githubusercontent.com/kevva/svgmin/master/LICENSE.md
Source12:	https://raw.githubusercontent.com/kevva/svgmin/master/README.md

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuileRequires:	npm(ware)
%endif

Requires:	nodejs

%description
Minify SVG files


%prep
%setup -q -n package
# setup the tests
#%setup -q -T -D -a 1 -n package
# copy the license and readme
cp -r %{SOURCE11} .
cp -r %{SOURCE12} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node test/test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
